WSE · Schnittstellen
Produkte & Leistungen
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Produkte & Leistungen
ERP API Dokumentation
Retrieve a specific product with all related references and prices.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product found.
Product group ID of the product
Product ID of the product
Optional description of the product
Optional duration term ID of the product. Use null to clear the relation on PATCH.
If true, service-level percentage discounts can be applied to this product during billing
Cycle type of the product
Historical price details of the product
Note: Monetary derived fields are calculated in the service layer to avoid business logic in schemas.
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_unit": { "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "product_group": { "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "account": { "description": "Erlöse 19%", "account_no": "4400", "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "terms": { "description": "Default", "first_min_term_value": 12, "first_cancellation_period_value": 3, "min_term_value": 12, "cancellation_period_value": 3, "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "product_feature": [ { … } ], "product_prices": [ { … } ], "current_price": { "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "tax_type": { … }, "gross_price": "11.90", "intro_gross_price": "8.93" }, "product_relationships": [ { … } ] }
Update a specific product and validate all related references.
Optional description of the product
Optional duration term ID of the product. Use null to clear the relation on PATCH.
If true, service-level percentage discounts can be applied to this product during billing
Cycle type of the product
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/products/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_number": 1,
"product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
"description": "Product 1",
"product_description": "Detailed description of Product 1",
"account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
"terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
"discountable": true,
"pro_rata": true,
"cycle_type": "once",
"product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e"
}'Product updated.
Product group ID of the product
Product ID of the product
Optional description of the product
Optional duration term ID of the product. Use null to clear the relation on PATCH.
If true, service-level percentage discounts can be applied to this product during billing
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" }
Delete a specific product, if no related records exist.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/products/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/import/schema' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "import_type": "string", "fixed_column_order": true, "header_validation": "exact", "data_mapping": "position", "allowed_delimiters": [ "string" ], "allowed_encodings": [ "string" ], "fields": [ { … } ] }
Return a product CSV import header template.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/import/template.csv?delimiter=%2C' \
--header 'Accept: text/csv' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Import products and one new price per product from a CSV upload.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/products/import' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--form-string 'file=string' \
--form-string 'has_header=true' \
--form-string 'encoding=utf-8' \
--form-string 'delimiter=,'Successful Response
{ "status": "accepted", "total_rows": 0, "created_products": 0, "updated_products": 0, "created_prices": 0, "import_date": "2019-08-24" }
Retrieve all products with pagination, sorting and filtering.
Note:
- This endpoint returns compact items (without full historical price list).
- current_price is selected via a correlated subquery (valid_from <= today), so only one price row per product is loaded.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products?skip=0&limit=100&sort_by=product_number&sort_order=asc&description=string&search=string&product_number=0&product_group_id=string&account_id=string&product_unit_id=string&cycle_type=once&discountable=true&pro_rata=true&tax_type_id=string&feature=string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new product entry including its mandatory initial price.
Account ID of the product
Product group ID of the product
Optional description of the product
Optional duration term ID of the product. Use null to clear the relation on PATCH.
If true, service-level percentage discounts can be applied to this product during billing
Cycle type of the product
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/products' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_number": 1,
"product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
"description": "Product 1",
"product_description": "Detailed description of Product 1",
"account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
"terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
"discountable": true,
"pro_rata": true,
"cycle_type": "once",
"product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
"price": {
"net_price": "10.00",
"tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"valid_from": "2021-01-01",
"intro_net_price": "7.50",
"intro_duration_months": 6
}
}'Product created.
Product group ID of the product
Product ID of the product
Optional description of the product
Optional duration term ID of the product. Use null to clear the relation on PATCH.
If true, service-level percentage discounts can be applied to this product during billing
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/next-number' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve a specific product group by its ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-groups/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product group found.
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Update a specific product group in the database.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/product-groups/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "Grundgebühr"
}'Product group updated.
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a product group
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/product-groups/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve all product groups with pagination, sorting and filtering.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-groups?skip=0&limit=100&sort_by=last_change&sort_order=asc&description=string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new product group
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/product-groups' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "Grundgebühr"
}'Product group created.
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Retrieve a specific product price for a product, including product and tax_type.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-prices/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product price found.
Price ID of the product price.
Valid from of the product price. If omitted, it is valid from the beginning.
Optional intro net price (valid for intro_duration_months).
Optional intro duration in months (must be set if intro_net_price is set).
Gross price of the product price. Calculated in the service layer using net_price and tax_type.taxrate.
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "tax_type": { "description": "Taxes Type 1", "taxrate": "19.00", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c", "last_change": "2019-08-24T14:15:22Z" }, "gross_price": "11.90", "intro_gross_price": "8.93" }
Update a specific product price belonging to a product.
Valid from of the product price. If omitted, it is valid from the beginning.
Optional intro net price (valid for intro_duration_months).
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/products/string/product-prices/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"net_price": "10.00",
"tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"valid_from": "2021-01-01",
"intro_net_price": "7.50",
"intro_duration_months": 6
}'Product price updated successfully
Price ID of the product price.
Valid from of the product price. If omitted, it is valid from the beginning.
Optional intro net price (valid for intro_duration_months).
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a product price associated with a specific product.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/products/string/product-prices/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve all product prices for a product with pagination, including product and tax_type.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-prices?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new product price for a specific product.
Tax ID of the product price.
Valid from of the product price. If omitted, it is valid from the beginning.
Optional intro net price (valid for intro_duration_months).
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/products/string/product-prices' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"net_price": "10.00",
"tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"valid_from": "2021-01-01",
"intro_net_price": "7.50",
"intro_duration_months": 6
}'Product price created.
Price ID of the product price.
Valid from of the product price. If omitted, it is valid from the beginning.
Optional intro net price (valid for intro_duration_months).
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Get a specific product unit.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-units/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product unit found.
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Update a specific product unit.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/product-units/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "kg"
}'Product unit updated.
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a specific product unit.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/product-units/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Get all product units, with the option to limit the scope.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-units?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a product unit.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/product-units' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "kg"
}'Product unit created.
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Get a specific Product Feature if it belongs to the given product.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-features/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product Feature found.
Primary key of the product feature
Product feature key ID of the product feature key
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product_feature_key": { "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" } }
Update a specific Product Feature if it belongs to the given product.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/products/string/product-features/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"value": "red"
}'Product Feature updated.
Primary key of the product feature
Product feature key ID of the product feature key
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a specific Product Feature
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/products/string/product-features/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Get all Product Features for a specific Product, with optional pagination.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-features?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new Product Feature for the given product.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/products/string/product-features' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"value": "red"
}'Product Feature created.
Primary key of the product feature
Product feature key ID of the product feature key
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Get a specific Product Feature Key
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-feature-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product Feature Key found.
Primary key of the product feature key
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Update a specific Product Feature Key
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/product-feature-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "color"
}'Product Feature Key updated.
Primary key of the product feature key
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a specific product feature key if no features are referencing it.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/product-feature-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Get all Product Feature Keys, with the option to limit the scope
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-feature-keys?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new Product Feature Key.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/product-feature-keys' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "color"
}'Product Feature Key created.
Primary key of the product feature key
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Get one relationship from either involved product.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product relationship found.
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }
Update one relationship relative to either involved product.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"related_product_id": "XXXXXXXX-XXXX-4XXX-8XXX-XXXXXXXXXXXX",
"product_relationship_type_role_id": "XXXXXXXX-XXXX-4XXX-8XXX-XXXXXXXXXXXX"
}'Product relationship updated.
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }
Delete one relationship from either involved product.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Get outgoing and incoming relationships relative to one product.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/products/string/product-relationships?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create one relationship that is visible from both involved products.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/products/string/product-relationships' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"related_product_id": "string",
"product_relationship_type_role_id": "string"
}'Product relationship created.
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }
Return the editable catalog of product relationship type definitions.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-relationship-types?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a complete symmetric or asymmetric type definition atomically.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/product-relationship-types' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "string",
"is_symmetric": true,
"inverse_description": "string"
}'Product relationship type created.
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }
Return one product relationship type definition.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/product-relationship-types/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Product relationship type found.
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }
Update only the user-facing descriptions of a type definition.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/product-relationship-types/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"description": "string",
"inverse_description": "string"
}'Product relationship type updated.
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }
Delete an unused type definition and all of its directional roles.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/product-relationship-types/string' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve a specific service for a customer.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Service found.
Contract ID of the service
Customer ID of the customer
Earliest possible termination date of the service
Latest termination date imposed by service or product terms
Description of the duration terms
Percentage discount applied to all discountable products of the service
Duration start date of the service
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "terms": { "description": "Default", "first_min_term_value": 12, "first_cancellation_period_value": 3, "min_term_value": 12, "cancellation_period_value": 3, "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "products": [ { … } ], "addresses": [ { … } ], "price_summary": { "currency": "EUR", "complete": true, "one_time": { … }, "recurring": [ … ] }, "earliest_possible_termination_date": "2021-01-01", "effective_earliest_termination_date": "2021-01-01" }
Update a specific service for a customer
Percentage discount applied to all discountable products of the service
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_number": 1,
"description": "Service 1",
"discount_percentage": "1.05",
"terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"date_active": "2021-02-01",
"date_deactivate": "2022-01-01",
"date_signed": "2021-01-10",
"date_created": "2021-01-01",
"duration_start_date": "2021-01-01"
}'Service updated.
Contract ID of the service
Customer ID of the customer
Description of the duration terms
Percentage discount applied to all discountable products of the service
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a service for a customer
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve all services for a given customer.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new service
Duration term ID of the service
Percentage discount applied to all discountable products of the service
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_number": 1,
"description": "Service 1",
"discount_percentage": "1.05",
"terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"date_active": "2021-02-01",
"date_deactivate": "2022-01-01",
"date_signed": "2021-01-10",
"date_created": "2021-01-01",
"duration_start_date": "2021-01-01"
}'Service created.
Contract ID of the service
Customer ID of the customer
Description of the duration terms
Percentage discount applied to all discountable products of the service
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/services/next-number' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Retrieve a specific service for a customer including customer context.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/customer-context' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Service found.
Customer ID of the customer
Debitor account number of the customer
Optional invoice grouping override; null inherits the global billing setting
Customer group ID of the customer
Payment target ID of the customer
Name of the business register, e.g. 'Handelsregister'
Tax identification number, e.g. 'DE123456789'
UTC timestamp after irreversible customer master-data anonymization
True when the customer currently has an active payment.
{ "customer_number": "456789", "debitor_account_no": 1000, "description": "Customer 1", "note": "Preferred contact via email", "invoice_grouping_override": "by_customer", "customer_group_id": "027480d3-e7ca-47e4-b515-eb12c17d5fb2", "billcycle_id": "1f68b834-6655-41ad-9b53-1cec389b9c46", "legal_form_id": "c31d65ec-d386-493e-ad46-773c403dc89d", "payment_target_id": "123e4567-e89b-12d3-a456-426614174000", "business_register": "Handelsregister", "registercode": "HRB", "registerplace": "Berlin", "tax_identification_no": "DE123456789", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "anonymized_at": "2019-08-24T14:15:22Z", "payment_target": { "description": "Zahlungsziel 1", "target_1_days": 7, "target_1_skonto": "3.0", "target_2_days": 14, "target_2_skonto": "2.0", "target_3_days": 30, "target_3_skonto": "1.0", "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "active_payment": true, "addresses": [ { … } ], "payments": [ { … } ], "customer_group": { "description": "Customer Group 1", "customer_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "billcycle": { "description": "for special customers", "billcycle_key": "BC1", "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "company_legal_form": { "description": "GmbH", "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "service": { "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "terms": { … }, "products": [ … ], "addresses": [ … ], "price_summary": { … }, "earliest_possible_termination_date": "2021-01-01", "effective_earliest_termination_date": "2021-01-01" } }
Update a specific service-product relationship.
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_count": "1",
"date_active": "2021-02-01",
"date_deactivate": "2022-01-01",
"different_price": "1.00",
"different_product_text": "Different product text",
"bill_until": "2022-01-01",
"duration_start_date": "2021-01-01"
}'Service product updated.
Service-product link ID.
Service ID.
Product ID.
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Delete a specific service-product relation
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a new service-product relationship
Product ID linked to the service.
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"product_count": "1",
"date_active": "2021-02-01",
"date_deactivate": "2022-01-01",
"different_price": "1.00",
"different_product_text": "Different product text",
"bill_until": "2022-01-01",
"duration_start_date": "2021-01-01",
"product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
}'Service product created.
Service-product link ID.
Service ID.
Product ID.
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }
Retrieve a specific service product by ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/products/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Service product found.
Service-product link ID.
Service ID.
Product ID.
Earliest possible termination date of the service product
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
Start date for the duration calculation of this service product.
Total net price (net unit price × quantity). Calculated in the service layer. If different_price is set, it is used as net unit price. Intro price is ignored when different_price is set.
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product": { "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_unit": { … }, "product_group": { … }, "account": { … }, "terms": { … }, "product_features": [ … ], "current_price": { … } }, "total_net_price": "100.00", "total_gross_price": "119.00", "earliest_possible_termination_date": "2021-01-01" }
Retrieve all service products for a given service and customer.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/products' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'List of service products found.
Service-product link ID.
Service ID.
Product ID.
Earliest possible termination date of the service product
Quantity of the product on the service (supports fractional quantities).
Date when this product becomes active on the service.
Date when this product is deactivated on the service.
Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).
Custom display text for the product when linked to the service.
Date until which the product is billed for this service.
Start date for the duration calculation of this service product.
Total net price (net unit price × quantity). Calculated in the service layer. If different_price is set, it is used as net unit price. Intro price is ignored when different_price is set.
[ { "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product": { … }, "total_net_price": "100.00", "total_gross_price": "119.00", "earliest_possible_termination_date": "2021-01-01" } ]
Return paginated service attributes.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/attributes?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a service attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/attributes' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_attribute_key_id": "string",
"value_string": "string",
"value_int": 0,
"value_decimal": 0,
"value_bool": true,
"value_date": "2019-08-24",
"value_datetime": "2019-08-24T14:15:22Z"
}'Successful Response
{ "service_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_attribute_id": "string", "service_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Return a service attribute by ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "service_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_attribute_id": "string", "service_id": "string", "last_change": "2019-08-24T14:15:22Z", "attribute_key": { "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" } }
Update a service attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_attribute_key_id": "string",
"value_string": "string",
"value_int": 0,
"value_decimal": 0,
"value_bool": true,
"value_date": "2019-08-24",
"value_datetime": "2019-08-24T14:15:22Z"
}'Successful Response
{ "service_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_attribute_id": "string", "service_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Delete a service attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Return paginated service attribute keys.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/service-attribute-keys?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a service attribute key.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/service-attribute-keys' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"key": "string",
"value_type": "string",
"is_required": false,
"is_sensitive": false,
"is_unique_per_entity": true
}'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Return a service attribute key by ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/service-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Update a service attribute key.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/service-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"key": "string",
"value_type": "string",
"is_required": true,
"is_sensitive": true,
"is_unique_per_entity": true
}'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Delete a service attribute key if it is not referenced.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/service-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Return paginated service product attributes.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/products/string/attributes?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a service product attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/products/string/attributes' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_product_attribute_key_id": "string",
"value_string": "string",
"value_int": 0,
"value_decimal": 0,
"value_bool": true,
"value_date": "2019-08-24",
"value_datetime": "2019-08-24T14:15:22Z"
}'Successful Response
{ "service_product_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_product_attribute_id": "string", "service_product_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Return a service product attribute by ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/customers/string/services/string/products/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "service_product_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_product_attribute_id": "string", "service_product_id": "string", "last_change": "2019-08-24T14:15:22Z", "attribute_key": { "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_product_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" } }
Update a service product attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/products/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"service_product_attribute_key_id": "string",
"value_string": "string",
"value_int": 0,
"value_decimal": 0,
"value_bool": true,
"value_date": "2019-08-24",
"value_datetime": "2019-08-24T14:15:22Z"
}'Successful Response
{ "service_product_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_product_attribute_id": "string", "service_product_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Delete a service product attribute.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/products/string/attributes/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Return paginated service product attribute keys.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/service-product-attribute-keys?skip=0&limit=100' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Create a service product attribute key.
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/service-product-attribute-keys' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"key": "string",
"value_type": "string",
"is_required": false,
"is_sensitive": false,
"is_unique_per_entity": true
}'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_product_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Return a service product attribute key by ID.
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/service-product-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_product_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Update a service product attribute key.
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
--url 'https://your-instance.example.invalid/service-product-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"key": "string",
"value_type": "string",
"is_required": true,
"is_sensitive": true,
"is_unique_per_entity": true
}'Successful Response
{ "key": "string", "value_type": "string", "is_required": true, "is_sensitive": true, "is_unique_per_entity": true, "service_product_attribute_key_id": "string", "last_change": "2019-08-24T14:15:22Z" }
Delete a service product attribute key if it is not referenced.
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/service-product-attribute-keys/string' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'